edu.sc.seis.sod.source.seismogram

## Class FdsnDataSelect

- java.lang.Object
- - edu.sc.seis.sod.source.AbstractSource
  - - edu.sc.seis.sod.source.seismogram.ConstantSeismogramSourceLocator
    - - edu.sc.seis.sod.source.seismogram.FdsnDataSelect

- All Implemented Interfaces:
    SodElement, SeismogramSourceLocator, Source

      public class FdsnDataSelect
      extends ConstantSeismogramSourceLocator
      implements SeismogramSourceLocator

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BAD_AUTH_MESSAGE`
    `static java.lang.String` | `IRIS_REALM`

    - ### Fields inherited from class edu.sc.seis.sod.source.AbstractSource

      `name, NAME_ELEMENT, RETRIES_ELEMENT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FdsnDataSelect()`
    `FdsnDataSelect(org.w3c.dom.Element config)`
    `FdsnDataSelect(org.w3c.dom.Element config, java.lang.String defaultHost)`
    `FdsnDataSelect(java.lang.String host, int port, edu.sc.seis.fissuresUtil.chooser.CoarseAvailableData fdsnStationAvailability)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SeismogramSource` | `getSeismogramSource()`

    - ### Methods inherited from class edu.sc.seis.sod.source.seismogram.ConstantSeismogramSourceLocator

      `getSeismogramSource`

    - ### Methods inherited from class edu.sc.seis.sod.source.AbstractSource

      `appendToName, getFissuresNamingService, getName, getRetries, getRetryStrategy, setRetryStrategy`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface edu.sc.seis.sod.source.seismogram.SeismogramSourceLocator

      `getSeismogramSource`

- - ### Field Detail

    - #### IRIS_REALM

          public static final java.lang.String IRIS_REALM

      See Also:
        Constant Field Values

    - #### BAD_AUTH_MESSAGE

          public static final java.lang.String BAD_AUTH_MESSAGE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### FdsnDataSelect

          public FdsnDataSelect()

    - #### FdsnDataSelect

          public FdsnDataSelect(org.w3c.dom.Element config)
                         throws java.net.MalformedURLException,
                                java.net.URISyntaxException

      Throws:
        `java.net.MalformedURLException`
        `java.net.URISyntaxException`

    - #### FdsnDataSelect

          public FdsnDataSelect(org.w3c.dom.Element config,
                                java.lang.String defaultHost)
                         throws java.net.MalformedURLException,
                                java.net.URISyntaxException

      Throws:
        `java.net.MalformedURLException`
        `java.net.URISyntaxException`

    - #### FdsnDataSelect

          public FdsnDataSelect(java.lang.String host,
                                int port,
                                edu.sc.seis.fissuresUtil.chooser.CoarseAvailableData fdsnStationAvailability)

  - ### Method Detail

    - #### getSeismogramSource

          public SeismogramSource getSeismogramSource()

      Specified by:
        `getSeismogramSource` in class `ConstantSeismogramSourceLocator`